Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.security
Class SecurityMetadata

    java.lang.Object
      org.jboss.jms.server.security.SecurityMetadata

public class SecurityMetadata
extends java.lang.Object

SecurityMetadata.java Created: Tue Feb 26 15:02:29 2002

Version:
Author:
  Peter

Constructor Summary
`SecurityMetadata()`
`SecurityMetadata(org.w3c.dom.Element conf)`
`SecurityMetadata(java.lang.String conf)` Create with given xml @see configure.

Method Summary
`void` | `addRole(org.jboss.jms.server.security.SecurityMetadata.Role r)`
`void` | `addRole(java.lang.String name, boolean read, boolean write, boolean create)`
`void` | `configure(org.w3c.dom.Element sec)`
`void` | `configure(java.lang.String conf)` Configure with an xml string.
`java.util.Set` | `getCreatePrincipals()`
`java.util.Set` | `getReadPrincipals()`
`java.util.Set` | `getWritePrincipals()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityMetadata

    public SecurityMetadata()

### SecurityMetadata

    public SecurityMetadata(java.lang.String conf)
                     throws java.lang.Exception

  Create with given xml @see configure. If the configure script is null, a default role named guest will be created with read and write access, but no create access.

### SecurityMetadata

    public SecurityMetadata(org.w3c.dom.Element conf)
                     throws java.lang.Exception

Method Detail

### configure

    public void configure(java.lang.String conf)
                   throws java.lang.Exception

  Configure with an xml string. The format of the string is: There may be one or more role elements.

  Throws:
    `java.lang.Exception`

### configure

    public void configure(org.w3c.dom.Element sec)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addRole

    public void addRole(java.lang.String name,
                        boolean read,
                        boolean write,
                        boolean create)

### addRole

    public void addRole(org.jboss.jms.server.security.SecurityMetadata.Role r)

### getReadPrincipals

    public java.util.Set getReadPrincipals()

### getWritePrincipals

    public java.util.Set getWritePrincipals()

### getCreatePrincipals

    public java.util.Set getCreatePrincipals()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.